# RedirectView Class Reference
[Spring-like webflow tools]

Inheritance diagram for RedirectView:
[legend]

List of all members.

## Public Member Functions

| isFalseAsUnset ()
| setFalseAsUnset ($really)
| isBuildArrays ()
| setBuildArrays ($really)

## Static Public Member Functions

static | create ($url)

## Protected Member Functions

| getLocationUrl ($model=null)

## Private Attributes

| $falseAsUnset = null
| $buildArrays = null

## Detailed Description

Definition at line 15 of file RedirectView.class.php.

## Member Function Documentation

static RedirectView::create | ( | $ | url | ) | `[static]`

Returns:
  RedirectView

Reimplemented from CleanRedirectView.

Reimplemented in RedirectToView.

Definition at line 23 of file RedirectView.class.php.

References CleanRedirectView::$url.

RedirectView::getLocationUrl | ( | $ | model = `null` | ) | `[protected]`

Reimplemented from CleanRedirectView.

Definition at line 62 of file RedirectView.class.php.

References CleanRedirectView::getUrl(), and isFalseAsUnset().

Here is the call graph for this function:

RedirectView::isBuildArrays | ( |  | ) |

Definition at line 45 of file RedirectView.class.php.

RedirectView::isFalseAsUnset | ( |  | ) |

Definition at line 28 of file RedirectView.class.php.

Referenced by getLocationUrl().

RedirectView::setBuildArrays | ( | $ | really | ) |

Returns:
  RedirectView

Definition at line 53 of file RedirectView.class.php.

References Assert::isBoolean().

Here is the call graph for this function:

RedirectView::setFalseAsUnset | ( | $ | really | ) |

Returns:
  RedirectView

Definition at line 36 of file RedirectView.class.php.

References Assert::isBoolean().

Here is the call graph for this function:

## Member Data Documentation

RedirectView::$buildArrays = null`[private]`

Definition at line 18 of file RedirectView.class.php.

RedirectView::$falseAsUnset = null`[private]`

Definition at line 17 of file RedirectView.class.php.

The documentation for this class was generated from the following file:

- main/Flow/RedirectView.class.php